=== debian/changelog ===
trace-cmd (3.1-1) unstable; urgency=medium

  * Update to upstream v3.1
    - Remove upstream patch.
    - Update copyright.
    - Update symbols.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 09 Jun 2022 21:48:45 +0100
