=== debian/control ===
Source: trace-cmd
Section: devel
Priority: optional
Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends:
 debhelper-compat (= 13), asciidoc, docbook-xsl, xsltproc, libcunit1-dev,
 xmlto, pkg-config, libtraceevent-dev, libtracefs-dev, libzstd-dev, source-highlight
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Vcs-Browser: https://github.com/sudipm-mukherjee/trace-cmd.git
Vcs-Git: https://github.com/sudipm-mukherjee/trace-cmd.git

Package: trace-cmd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtraceevent1-plugin
Suggests: kernelshark
Description: Utility for retrieving and analyzing function tracing in the kernel
 This package contains the trace-cmd utility. Trace-cmd makes it easy to
 retrieve and analyze function traces from the Linux kernel while it is running.

Package: libtracecmd1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for creating and reading trace-cmd data files (shared library)
 The libtracecmd library provides APIs to read trace-cmd data files.
 .
 This package contains the shared library.

Package: libtracecmd-dev
Section: libdevel
Architecture: any
Depends: libtracecmd1 (= ${binary:Version}), ${misc:Depends}
Description: Library for creating and reading trace-cmd data files (development files)
 The libtracecmd library provides APIs to read trace-cmd data files.
 .
 This package is needed to compile programs against libtracecmd1.
