=== debian/changelog ===
trace-cmd (3.2-1ubuntu2) noble; urgency=medium

  * debian/tests: use consistent skipping conditions for autopkgtest
    (LP: #2060545)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 08 Apr 2024 12:13:38 -0400

trace-cmd (3.2-1ubuntu1) noble; urgency=medium

  * Address autopkgtest TODOs for MIR (LP: #2051850)
    - debian/tests: add simple autopkgtest using man page examples
    - debian/tests/control: run trace-utest as autopkgtest
    - debian/patches: fallback to using /usr/bin/trace-cmd in trace-utest

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 05 Apr 2024 16:36:49 -0400

trace-cmd (3.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libtracecmd1: Add Multi-Arch: same.

  [ Sudip Mukherjee ]
  * New upstream version 3.2
    - Update copyright.
    - Update symbols.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 03 Jul 2023 20:29:04 +0100
