=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: trace-cmd
 Section: devel
 Priority: optional
-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends:
  debhelper-compat (= 13), asciidoc, docbook-xsl, xsltproc, libcunit1-dev,
  xmlto, pkg-config, libtraceevent-dev, libtracefs-dev, libzstd-dev, source-highlight
@@ -22,6 +23,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: Library for creating and reading trace-cmd data files (shared library)
  The libtracecmd library provides APIs to read trace-cmd data files.
  .
