=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
export DEB_DESTDIR ?= $(CURDIR)/debian/tmp/

%:
	dh $@

OPTS=DESTDIR=$(DEB_DESTDIR) prefix=/usr VERBOSE=$(if $(filter terse,$(DEB_BUILD_OPTIONS)),0,1) libdir_relative=lib/$(DEB_HOST_MULTIARCH) pkgconfig_dir=/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig

override_dh_auto_clean:
	$(MAKE) clean doc_clean $(OPTS)
override_dh_auto_build:
	dh_auto_build -- all $(OPTS)
	$(MAKE) doc $(OPTS)
override_dh_auto_install:
	$(MAKE) install $(OPTS)
	$(MAKE) install_libs $(OPTS)
	$(MAKE) install_doc $(OPTS)
