## trace-cmd 3.3

=== debian/changelog ===
trace-cmd (3.3-2) unstable; urgency=medium

  * Add new package for Python bindings.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 17 Aug 2024 00:03:03 +0100

trace-cmd (3.3-1) unstable; urgency=medium

  * New upstream version 3.3
    - Update symbols.
  * Move Vcs to salsa.
    - Enable CI in salsa.
  * Add versioned dependency of libtraceevent-dev and libtracefs-dev.
  * Update Standards-Version to 4.7.0
    - No change needed.
  * Depend on pkgconf instead of pkg-config.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 09 Aug 2024 19:56:08 +0100
