=== debian/changelog ===
trace-cmd (3.3.1-1ubuntu2) questing; urgency=medium

  * trace-utest: run trace-cmd with --compression none on s390x
    (LP: #2114514)
  * trace-utest: return non-zero when tests have failed

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 23 Jun 2025 15:45:56 -0400

trace-cmd (3.3.1-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2112078). Remaining changes:
    - debian/patches: fallback to using /usr/bin/trace-cmd in trace-utest
    - debian/tests: add trace-utest and trace-cmd-examples dep8 tests
  * Dropped, fixed upstream:
    - debian/patches/0003-include-missing-libgen-header.patch

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 05 Jun 2025 13:26:02 -0400

trace-cmd (3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 24 Dec 2024 13:25:26 +0000
