=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends:
  debhelper-compat (= 13), asciidoc, docbook-xsl, xsltproc, libcunit1-dev,
- xmlto, pkg-config, libtraceevent-dev, libtracefs-dev, libzstd-dev, source-highlight
-Standards-Version: 4.6.2
+ xmlto, pkgconf, libtraceevent-dev (>= 1.5), libtracefs-dev (>= 1.8), libzstd-dev, source-highlight,
+ python3-dev, swig, dh-python
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Vcs-Browser: https://github.com/sudipm-mukherjee/trace-cmd.git
-Vcs-Git: https://github.com/sudipm-mukherjee/trace-cmd.git
+Vcs-Browser: https://salsa.debian.org/sudip/trace-cmd
+Vcs-Git: https://salsa.debian.org/sudip/trace-cmd.git
 
 Package: trace-cmd
 Architecture: any
@@ -37,3 +38,11 @@
  The libtracecmd library provides APIs to read trace-cmd data files.
  .
  This package is needed to compile programs against libtracecmd1.
+
+Package: python3-trace-cmd
+Architecture: any
+Section: python
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Description: Python module for analyzing function tracing in the kernel
+ The package contains the Python module to analyze trace from the Linux
+ kernel  generated by trace-cmd.
