=== debian/tests/control ===
Test-Command: trace-cmd list
Depends: @
Restrictions: needs-root, allow-stderr, superficial

Tests: trace-utest
Depends: @, @builddeps@
Restrictions: needs-root, isolation-machine, skippable, allow-stderr

Tests: trace-cmd-examples
Depends: @
Restrictions: needs-root, isolation-machine, skippable, allow-stderr
